Bug 1088670 - Please move nm-openvpn-auth-dialog (which depends on gtk3) to a subpackage
Summary: Please move nm-openvpn-auth-dialog (which depends on gtk3) to a subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-04-17 01:19 UTC by Kevin Kofler
Modified: 2016-07-10 05:55 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-openvpn-1.2.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-10 05:55:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-04-17 01:19:20 UTC
Description of problem:
NetworkManager-openvpn depends on gtk3 for the nm-openvpn-auth-dialog. This drags in gtk3 as a dependency of kde-plasma-nm-openvpn. kde-plasma-nm-openvpn has its own authentication dialog and does not need the GTK+ one.

Version-Release number of selected component (if applicable):
NetworkManager-openvpn-1:0.9.9.0-0.1.fc21

How reproducible:
Always.

Steps to Reproduce:
1. Install kde-plasma-nm-openvpn on a system without gtk3.

Actual results:
gtk3 is required.

Expected results:
gtk3 is not required.

Additional info:
All the NetworkManager VPN plugins have this packaging issue, I am filing a separate bug for each.

Comment 1 Kevin Kofler 2014-04-17 01:20:28 UTC
(There's also an explicit Requires: gtk3 that should be removed, that's what the soname autorequires are for.)

Comment 2 Jaroslav Reznik 2015-03-03 15:42:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Admin XMLRPC Client 2015-10-14 14:48:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2016-07-04 10:09:58 UTC
NetworkManager-openvpn-1.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c719a6115b

Comment 5 Fedora Update System 2016-07-05 08:53:14 UTC
NetworkManager-openvpn-1.2.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c719a6115b

Comment 6 Fedora Update System 2016-07-10 05:54:49 UTC
NetworkManager-openvpn-1.2.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.